package com.goafanti.app.bo;

import com.goafanti.common.utils.StringUtils;

public class ProjectBo {
	private String id;
	
	private String minLogoUrl;
	
	private String maxLogoUrl;
	
	private String name;
	
	private String introduce;
	
	private String interestCount;
	
	private String boutique;
	
	private String projectUrl;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getMinLogoUrl() {
		return minLogoUrl;
	}

	public void setMinLogoUrl(String minLogoUrl) {
		this.minLogoUrl = minLogoUrl;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIntroduce() {
		return introduce;
	}

	public void setIntroduce(String introduce) {
		this.introduce = introduce;
	}

	public String getInterestCount() {
		if (StringUtils.isBlank(interestCount)) {
			return "20"; 
		}
		return String.valueOf(Integer.valueOf(interestCount)+20);


	}

	public void setInterestCount(String interestCount) {
		this.interestCount = interestCount;
	}

	public String getBoutique() {
		return boutique;
	}

	public void setBoutique(String boutique) {
		this.boutique = boutique;
	}

	public String getProjectUrl() {
		if (StringUtils.isBlank(projectUrl)) {
			return "";
		}
		return projectUrl;
	}

	public void setProjectUrl(String projectUrl) {
		this.projectUrl = projectUrl;
	}

	public String getMaxLogoUrl() {
		return maxLogoUrl;
	}

	public void setMaxLogoUrl(String maxLogoUrl) {
		this.maxLogoUrl = maxLogoUrl;
	}
}
